| OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ > Class Template Reference
Interface Concepts

Interface for the internal halfedge type. More...

`#include <Doc/Concepts/MeshItems.hh>`

## Public Types
typedef Refs_ | Refs
| Re-export the template argument Refs. This must be done!

## Public Member Functions
VertexHandle | vertex_handle () const
| Get the vertex the halfedge point to. More...
void | set_vertex_handle (VertexHandle _vh)
| Set the vertex the halfedge point to. More...
FaceHandle | face_handle () const
| Get the face this halfedge belongs to. More...
void | set_face_handle (FaceHandle _fh)
| Set the face this halfedge belongs to. More...
HalfedgeHandle | next_halfedge_handle () const
| Get the next halfedge inside this face. More...
void | set_next_halfedge_handle (HalfedgeHandle _eh)
| Set the next halfedge inside this face. More...

## Detailed Description

### template<class Refs_>
class OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >

Interface for the internal halfedge type.

This minimal interface must be provided by every halfedge. It's up to the mesh kernel (or the items used by the mesh kernel) to implement it.

All methods marked as internal should only be used by the mesh kernel.

## Member Function Documentation

template<class Refs_ >

FaceHandle OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::face_handle | ( |  | ) | const

Get the face this halfedge belongs to.

template<class Refs_ >

HalfedgeHandle OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::next_halfedge_handle | ( |  | ) | const

Get the next halfedge inside this face.

template<class Refs_ >

void OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::set_face_handle | ( | FaceHandle | _fh | ) |

Set the face this halfedge belongs to.

template<class Refs_ >

void OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::set_next_halfedge_handle | ( | HalfedgeHandle | _eh | ) |

Set the next halfedge inside this face.

template<class Refs_ >

void OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::set_vertex_handle | ( | VertexHandle | _vh | ) |

Set the vertex the halfedge point to.

template<class Refs_ >

VertexHandle OpenMesh::Concepts::MeshItems::HalfedgeT< Refs_ >::vertex_handle | ( |  | ) | const

Get the vertex the halfedge point to.

The documentation for this class was generated from the following file:

- Doc/Concepts/MeshItems.hh